Bug 344471 - mouse and keyboard activity in rdesktop no resetting screensaver timeout
mouse and keyboard activity in rdesktop no resetting screensaver timeout
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On: 104713
  Show dependency treegraph
Reported: 2007-10-21 11:15 EDT by John Mellor
Modified: 2008-06-16 22:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mellor 2007-10-21 11:15:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20070718 Fedora/ Firefox/

Description of problem:
While a running rdesktop to another machine has focus (e.g. full-screen is very normal usage), keyboard and mouse events do not reset the X screensaver timeout, and the screensaver kicks in even though you are active.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.set screensaver low (say 12 minute)
2.full-screen rdesktop to another machine
3.type away for > timeout time

Actual Results:
screensaver kicks in incorrectly.

Expected Results:
User activity should be resetting the screensaver timeout.  There should be no means available for the application (rdesktop in this case) to bypass this timer reset.

Additional info:
After the screensaver kicks in, most keyboard activity  or mouse movement will NOT bring up an unlock pane.  You're stuck.  If you are doing something time-critical at the time, you have a serious problem.

Workaround 1: three-finger salute (CTRL-ALT-DEL) will bring bring up the unlock pane.  You may then unlock the X display an continue working.  I don't think any other key sequences are usable.  If you are trying to pass through this key sequence at the time, you may be in trouble.

Workaround 2: Disable X screensaver before using rdesktop.  Very messy.
Comment 1 Mamoru TASAKA 2007-10-21 11:50:42 EDT
Well, actually I don't use rdesktop and I don't how how rdesktop
is working..

Jamie, it seems that you once tried to deal with this issue
according to Changelog of 4.16.
Changes since 4.15:
* Possibly-futile attempt to work around "rdesktop"
  focus/grab idiocy.
Any ideas?
Comment 2 Jamie Zawinski 2007-10-21 14:14:13 EDT
It's hopeless.  I consider it a bug in rdesktop, but you could as easily consider it a design flaw in X itself. 
There is, as far as I can tell, no way to fix it.

Comment 3 Mamoru TASAKA 2007-10-21 19:52:43 EDT
Well, for now I keep this open, not knowing when to close...
Comment 4 Bug Zapper 2008-05-14 10:48:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:42:28 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.